curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts/7812' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"'
{
"code": 1,
"message": "Success",
}
{
"code": -1,
"message": "error msg",
}
Voice API reference
Improve a TTS voice
Upload more recordings to improve a custom Text to Speech voice.
PUT
/
sound_clone
/
api
/
v1
/
voices
/
tts
/
{voiceId}
curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts/7812' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"'
{
"code": 1,
"message": "Success",
}
{
"code": -1,
"message": "error msg",
}
Voice cloning · Workflow: How to use voices
The interactive playground on this page cannot send file uploads. This is a limitation of the documentation playground, not of the API. Send the
multipart/form-data request to https://api.myvocal.ai/sound_clone/api/v1/voices/tts/{voiceId} from your own code or an HTTP tool, as in the request example.Header
string
required
Your API key. See Authentication.
Body
string
required
Your voiceId
Files
required
Please provide mp3/wav/m4a files. A single file cannot exceed 10MB, and up to 25 files can be uploaded (including files provided when you add voice).
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
curl --location --request PUT 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts/7812' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"'
{
"code": 1,
"message": "Success",
}
{
"code": -1,
"message": "error msg",
}
